<?php

/**
 * Load css files.
 * @return [type] [description]
 */
function di_blog_child_enqueue_style() {
	// Load main css file of parent theme.
    wp_enqueue_style( 'di-blog-style-default', get_template_directory_uri() . '/style.css' );

    if( class_exists( 'WooCommerce' ) ) {
	    // Load this child theme css after all parent css files including di-blog-style-woo.
	    wp_enqueue_style( 'di-blog-child-style',  get_stylesheet_directory_uri() . '/style.css', array( 'bootstrap', 'font-awesome', 'di-blog-style-default', 'di-blog-style-core', 'di-blog-style-woo' ), wp_get_theme()->get('Version'), 'all' );
	} else {
		// Load this child theme css after all parent css files.
	    wp_enqueue_style( 'di-blog-child-style',  get_stylesheet_directory_uri() . '/style.css', array( 'bootstrap', 'font-awesome', 'di-blog-style-default', 'di-blog-style-core' ), wp_get_theme()->get('Version'), 'all' );
	}
}
add_action( 'wp_enqueue_scripts', 'di_blog_child_enqueue_style' );

